# Update location details

Updates location details.

```http
PUT https://api.pozy.ai/v1/accounts/{accountId}/gmb-location-details
```

- Area: Google Business / Google Business Location Details
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `accountId` (string, required)

## Query parameters

- `locationId` (string)

## Request body

Content type: `application/json`

- `updateMask`, string, required
- `regularHours`, object
  - `periods`, array of object
    - `openDay`, string
    - `openTime`, string
    - `closeDay`, string
    - `closeTime`, string
- `specialHours`, object
  - `specialHourPeriods`, array of object
    - `startDate`, object
      - `year`, integer
      - `month`, integer
      - `day`, integer
    - `endDate`, object
      - `year`, integer
      - `month`, integer
      - `day`, integer
    - `openTime`, string
    - `closeTime`, string
    - `closed`, boolean
- `profile`, object
  - `description`, string
- `websiteUri`, string
- `phoneNumbers`, object
  - `primaryPhone`, string
  - `additionalPhones`, array of string
- `categories`, object
  - `primaryCategory`, object
    - `name`, string
  - `additionalCategories`, array of object
    - `name`, string
- `serviceItems`, array of object
  - `structuredServiceItem`, object
    - `serviceTypeId`, string
    - `description`, string
  - `freeFormServiceItem`, object
    - `category`, string
    - `label`, object
      - `displayName`, string
      - `languageCode`, string
  - `price`, object
    - `currencyCode`, string
    - `units`, string
    - `nanos`, integer
- `title`, string
- `storeCode`, string
- `labels`, array of string
- `storefrontAddress`, object
  - `regionCode`, string
  - `languageCode`, string
  - `postalCode`, string
  - `administrativeArea`, string
  - `locality`, string
  - `addressLines`, array of string
- `serviceArea`, object
  - `businessType`, string: One of `CUSTOMER_LOCATION_ONLY`, `CUSTOMER_AND_BUSINESS_LOCATION`
  - `places`, object
    - `placeInfos`, array of object
      - `placeName`, string
      - `placeId`, string
  - `regionCode`, string
- `openInfo`, object
  - `status`, string: One of `OPEN`, `CLOSED_PERMANENTLY`, `CLOSED_TEMPORARILY`
  - `openingDate`, object
    - `year`, integer
    - `month`, integer
    - `day`, integer
- `moreHours`, array of object
  - `hoursTypeId`, string
  - `periods`, array of object
    - `openDay`, string
    - `openTime`, string
    - `closeDay`, string
    - `closeTime`, string
- `latlng`, object
  - `latitude`, number
  - `longitude`, number
- `adWordsLocationExtensions`, object
  - `adPhone`, string

## Example request

```bash
curl -X PUT "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/gmb-location-details" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "updateMask": "2026-10-02T09:00:00.000Z"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/gmb-location-details", {
  method: "PUT",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    updateMask: "2026-10-02T09:00:00.000Z"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.put(
    "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/gmb-location-details",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "updateMask": "2026-10-02T09:00:00.000Z",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `success`, boolean
- `accountId`, string
- `locationId`, string

```json
{
  "success": true,
  "accountId": "696e0b682d0a31188e7a2ba9",
  "locationId": "6e99c3dd69982b334a43b0b2"
}
```
